Skip to content
GET/api/{version}/objects/documents/{doc_id}/renditions
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{doc_id}The document id field value.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/objects/documents/534/renditions
{ "responseStatus": "SUCCESS", "renditionTypes": [ "viewable_rendition__v", "imported_rendition__c", "veeva_distribution_package__c" ], "renditions": { "viewable_rendition__v": "https://myvault.veevavault.com/api/v26.1/objects/documents/534/renditions/viewable_rendition__v", "veeva_distribution_package__c": "https://myvault.veevavault.com/api/v26.1/objects/documents/534/renditions/veeva_distribution_package__c" } }
Metadata FieldDescription
renditionTypes[n]List of all rendition types configured for the specified document.
renditions[n]List of renditions available for the specified document and the endpoint URL to retrieve them.